OpenZWave Library: OpenZWave::Node::NodeData Struct Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
OpenZWave::Node::NodeData Struct Reference

`#include <Node.h>`

## Public Attributes
uint32 | m_sentCnt
uint32 | m_sentFailed
uint32 | m_retries
uint32 | m_receivedCnt
uint32 | m_receivedDups
uint32 | m_receivedUnsolicited
string | m_sentTS
string | m_receivedTS
uint32 | m_lastRequestRTT
uint32 | m_averageRequestRTT
uint32 | m_lastResponseRTT
uint32 | m_averageResponseRTT
uint8 | m_quality
uint8 | m_lastReceivedMessage [254]
list< CommandClassData > | m_ccData
bool | m_txStatusReportSupported
uint16 | m_txTime
uint8 | m_hops
char | m_rssi_1 [8]
char | m_rssi_2 [8]
char | m_rssi_3 [8]
char | m_rssi_4 [8]
char | m_rssi_5 [8]
uint8 | m_ackChannel
uint8 | m_lastTxChannel
TXSTATUS_ROUTING_SCHEME | m_routeScheme
char | m_routeUsed [9]
TXSTATUS_ROUTE_SPEED | m_routeSpeed
uint8 | m_routeTries
uint8 | m_lastFailedLinkFrom
uint8 | m_lastFailedLinkTo

## Member Data Documentation

## ◆ m_ackChannel

uint8 OpenZWave::Node::NodeData::m_ackChannel

## ◆ m_averageRequestRTT

uint32 OpenZWave::Node::NodeData::m_averageRequestRTT

## ◆ m_averageResponseRTT

uint32 OpenZWave::Node::NodeData::m_averageResponseRTT

## ◆ m_ccData

list<CommandClassData> OpenZWave::Node::NodeData::m_ccData

## ◆ m_hops

uint8 OpenZWave::Node::NodeData::m_hops

## ◆ m_lastFailedLinkFrom

uint8 OpenZWave::Node::NodeData::m_lastFailedLinkFrom

## ◆ m_lastFailedLinkTo

uint8 OpenZWave::Node::NodeData::m_lastFailedLinkTo

## ◆ m_lastReceivedMessage

uint8 OpenZWave::Node::NodeData::m_lastReceivedMessage[254]

## ◆ m_lastRequestRTT

uint32 OpenZWave::Node::NodeData::m_lastRequestRTT

## ◆ m_lastResponseRTT

uint32 OpenZWave::Node::NodeData::m_lastResponseRTT

## ◆ m_lastTxChannel

uint8 OpenZWave::Node::NodeData::m_lastTxChannel

## ◆ m_quality

uint8 OpenZWave::Node::NodeData::m_quality

## ◆ m_receivedCnt

uint32 OpenZWave::Node::NodeData::m_receivedCnt

## ◆ m_receivedDups

uint32 OpenZWave::Node::NodeData::m_receivedDups

## ◆ m_receivedTS

string OpenZWave::Node::NodeData::m_receivedTS

## ◆ m_receivedUnsolicited

uint32 OpenZWave::Node::NodeData::m_receivedUnsolicited

## ◆ m_retries

uint32 OpenZWave::Node::NodeData::m_retries

## ◆ m_routeScheme

TXSTATUS_ROUTING_SCHEME OpenZWave::Node::NodeData::m_routeScheme

## ◆ m_routeSpeed

TXSTATUS_ROUTE_SPEED OpenZWave::Node::NodeData::m_routeSpeed

## ◆ m_routeTries

uint8 OpenZWave::Node::NodeData::m_routeTries

## ◆ m_routeUsed

char OpenZWave::Node::NodeData::m_routeUsed[9]

## ◆ m_rssi_1

char OpenZWave::Node::NodeData::m_rssi_1[8]

## ◆ m_rssi_2

char OpenZWave::Node::NodeData::m_rssi_2[8]

## ◆ m_rssi_3

char OpenZWave::Node::NodeData::m_rssi_3[8]

## ◆ m_rssi_4

char OpenZWave::Node::NodeData::m_rssi_4[8]

## ◆ m_rssi_5

char OpenZWave::Node::NodeData::m_rssi_5[8]

## ◆ m_sentCnt

uint32 OpenZWave::Node::NodeData::m_sentCnt

## ◆ m_sentFailed

uint32 OpenZWave::Node::NodeData::m_sentFailed

## ◆ m_sentTS

string OpenZWave::Node::NodeData::m_sentTS

## ◆ m_txStatusReportSupported

bool OpenZWave::Node::NodeData::m_txStatusReportSupported

## ◆ m_txTime

uint16 OpenZWave::Node::NodeData::m_txTime

The documentation for this struct was generated from the following file:

- Node.h